function plotiso3D()
  close all
  geofile=fc_simesh.get_geo(3,3,'cylinderkey03');
  meshfile=gmsh.buildmesh3d(geofile,10,'verbose',0);
  Th=siMesh(meshfile);
  u=Th.eval(@(x,y,z) 3*x.^2-y.^3+z.^2+x.*y);
  figure(1)
  fc_siplt.plot(Th,u,'d',2,'labels',[10,11,31],'FaceColor','interp', 'EdgeColor','none','FaceAlpha',0.4)
  hold on;view(3);axis off;axis equal;
  fc_siplt.plotmesh(Th,'d',2,'labels',[1000,1020,1021,2000,2020,2021], 'FaceColor','none','EdgeColor',0.9*[1,1,1])
  fc_siplt.plotiso(Th,u,'isocolorbar',true,'LineWidth',1.5)
  figure(2)
  fc_siplt.plot(Th,u,'d',2,'labels',[10,11,31],'FaceColor','interp', 'EdgeColor','none','FaceAlpha',0.4)
  hold on;axis off;axis equal;
  fc_siplt.plotmesh(Th,'d',2,'labels',[2000,2020,2021], 'FaceColor','none','EdgeColor',0.9*[1,1,1])
  fc_siplt.plotiso(Th,u,'labels',[10,11,31,2000,2020,2021],'LineWidth',1.5, 'niso',15)
end